import request from '@/utils/request'

export function getShopConfig(params?: any) {
    return request.get({ url: '/shop/config', params })
}

export function changeShopStatus(params?: any) {
    return request.get({ url: '/shop/change', params })
}

export function saveShopConfig(params?: any) {
    return request.post({ url: '/shop/save', params })
}

export function getPrinterList(params?: any) {
    return request.get({ url: '/printer/list', params })
}

export function getPrinterDetail(params?: any) {
    return request.get({ url: '/printer/detail', params })
}

export function addPrinter(params?: any) {
    return request.post({ url: '/printer/add', params })
}

export function statisticsDishTop10(params?: any) {
    return request.get({ url: '/order/statisticsDishTop10', params })
}

export function editPrinter(params?: any) {
    return request.post({ url: '/printer/edit', params })
}

export function delPrinter(params?: any) {
    return request.post({ url: '/printer/delete', params })
}

export function print(params?: any) {
    return request.post({ url: '/printer/print', params })
}